package com.ruoyi.dxp.dto.database;

import java.io.Serializable;
import java.util.List;

/**
 * 数据库创建数据表
 */
public class DatabaseUtilsCreateTableParam implements Serializable {
    private static final long serialVersionUID = 1L;

    private List<DatabaseUtilsColnInfoDto> columns;

    private String connection;

    private String dbName;

    private String dbType;

    private Long id;

    private String tbName;

    public List<DatabaseUtilsColnInfoDto> getColumns() {
        return columns;
    }

    public void setColumns(List<DatabaseUtilsColnInfoDto> columns) {
        this.columns = columns;
    }

    public String getConnection() {
        return connection;
    }

    public void setConnection(String connection) {
        this.connection = connection;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public String getDbType() {
        return dbType;
    }

    public void setDbType(String dbType) {
        this.dbType = dbType;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTbName() {
        return tbName;
    }

    public void setTbName(String tbName) {
        this.tbName = tbName;
    }
}
